# == Class: xymon::client
#
# Manage installation and configuration of Xymon client.
#
# === Parameters
#
#
# === Variables
#
#
# === Examples
#
#  class { 'xymon::client':
#  }
#
# === Authors
#
# Gardouille <gardouille@gmail.com>
#
# === Copyright
#
# WTFPL <http://wtfpl.org/>
#
class xymon::client (
  $download_dir               = $xymon::params::download_dir,
  $download_url               = $xymon::params::download_url,
  $new_version                = $xymon::params::cli_new_version,
  $package_name               = $xymon::params::package_name,
) inherits xymon::params {

  include '::xymon::client::preconfig'
  include '::xymon::client::install'

  Class['::xymon::client::preconfig'] ->
  Class['::xymon::client::install']

} # Public class: xymon::client
